For the complete documentation index, see llms.txt. This page is also available as Markdown.

Case Settlement Status

Filter cases by settlement status

Filter by case settlement status (integer).

GET https://clearinghouse.net/api/v2/cases?settlement_agreement=settlement_agreement_id

Query Parameters

Name
Type
Description

settlement_agreement_idpe_id*

integer

Settlement status ID (see list below for list of integers and its mapped values)

Headers

Name
Type
Description

Authorization*

String

Authorization

Token XXXXXXXXXXX

where

XXXXXXXXXXX

is the token string

\\ Examples of:
\\ No results, key not found, or invalid parameter

\\ No results
\\ Example query endpoint: /api/v2/cases/?case_id=1&case_ongoing=1
["No results for {'case_id': '1', 'case_ongoing': '1'}"]

\\ Key not found
\\ Example query endpoint: /api/v2/cases?test_key=1
["API Error: Key: test_key, Value: 1 not found."]

\\ Example query endpoint: /api/v2/cases/?case_id=xyz
["API Error: zxy is not an integer."]
{
    "detail":"Authentication credentials were not provided."
}

Supported settlement status (settlement_agreement_id):

5647

Court Approved Settlement or Consent Decree

5646

Confession of Judgment

5649

Voluntary Dismissal

5648

Private Settlement Agreement

5650

Conditional Dismissal

For more information on these settlement statuses, see settlement_agreement.

Example

https://clearinghouse.net/api/v2/case?settlement_agreement=5650
import requests

url = "https://clearinghouse.net/api/v2/case?settlement_agreement=5888"
headers = { 'Authorization': 'Token XXXXXXXXXX',
'User-Agent': 'Chrome v22.2 Linux Ubuntu'
}
response = requests.request("GET", url, headers=headers, data={})

print(response.text)

Last updated